Bug 322781 - Review Request: glpi - Free IT asset management software
Review Request: glpi - Free IT asset management software
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Johan Cwiklinski
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-08 02:11 EDT by Remi Collet
Modified: 2007-12-22 03:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-22 03:25:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
johan: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2007-10-08 02:11:48 EDT
Spec URL: http://remi.fedorapeople.org/glpi.spec
SRPM URL: http://remi.fedorapeople.org/glpi-0.70-0.1.rc1.fc8.src.rpm
Mock Log: http://remi.fedorapeople.org/glpi-build.log
GLPI is the Information Resource-Manager with an additional Administration-
Interface. You can use it to build up a database with an inventory for your 
company (computer, software, printers...). It has enhanced functions to make
the daily life for the administrators easier, like a job-tracking-system with
mail-notification and methods to build a database with basic information 
about your network-topology.

This is the Release Candidate of new 0.70 version.
Database schema is freezed.
I submit it to review. RC will be pushed to "testing", final version to "stable"
Comment 1 Remi Collet 2007-10-08 02:15:51 EDT
Notes :
1/ I work with upstream on this project
2/ I use this version in production (large inventory : more than 30.000 PC now,
target is 90.000)
3/ Some "plugins" (among the >50 available) will also be proposed to review

Comment 2 Johan Cwiklinski 2007-10-08 12:49:55 EDT

A few remarks :
- you should use macros or commands everywhere (mkdir or %{__mkdir})
- Source0 is not correct

The package build successfully. 

rpmlint is not clean, assuming for a webapp, 'non-standard-uid' and
'non-standard-dir-perm' can safely be ignored.
Also, rpmlint complains about a 'zero-lenght' file.

Comment 3 Remi Collet 2007-10-08 13:26:41 EDT
Thanks for the comments.

- editor_plugin.js (zero-lenght) is required in tiny_mce_gzip.js (intended for

- Source0 URL fixed
- macros fixed

Spec URL: http://remi.fedorapeople.org/glpi.spec
SRPM URL: http://remi.fedorapeople.org/glpi-0.70-0.2.rc1.fc8.src.rpm
Comment 4 Johan Cwiklinski 2007-10-08 14:00:08 EDT
+ package builds in mock.
+ rpmlint is silent for SRPM and not RPMs but it is correct.
+ source file are ok.
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ BuildRequires are proper.
+ package installed properly.
+ Macro use appears rather consistent.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ package runs correctly.

Comment 5 Remi Collet 2007-10-08 14:28:12 EDT
New Package CVS Request
Package Name: glpi
Short Description: Free IT asset management software
Owners: remi
Branches: devel, F-7, FC-6, EL-5, EL-4
Cvsextras Commits: yes

Comment 6 Kevin Fenzi 2007-10-09 00:37:50 EDT
cvs done.
Comment 7 Fedora Update System 2007-10-10 21:43:57 EDT
glpi-0.70-0.2.rc1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update glpi'

Note You need to log in before you can comment on or make changes to this bug.